# This script represents the subnet structure for Crete(primary subnet)
variable "crete_cidr" {}
variable "athens_availability_zone" {}


# Crete will serve as the private subnet with internal services
resource "aws_subnet" "crete_subnet" {
  vpc_id = aws_vpc.athens_vpc.id
  # 10.0.1.0/24
  cidr_block = var.crete_cidr
  availability_zone = var.athens_availability_zone

  tags = {
    Name = "Crete Subnet - Internal"
  }
}
